﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace CreateInsertSql
{
    public partial class FormHelp : Form
    {
        public FormHelp()
        {
            InitializeComponent();
            this.Load += new EventHandler(FormHelp_Load);
        }

        void FormHelp_Load(object sender, EventArgs e)
        {
            this.richTextBox1.Text = @"
    数据库连接字符串写在App.Config文件里。

    由于时间关系，目前的程序仅对SQLite数据库起作用，如果
要使用其它数据库，请对源代码(www.cnblogs.com\zzy0471)进
行修改，这可能只需要3分钟时间：

    步骤0：新建一个类继承于AbsADODotNet并实现
    步骤1：新建一个类继承于AbsADODotNetFactory并实现
    步骤2：修改App.Config文件中Key值为“ADODotNetFactory”
的Value。

    工厂方法，你懂的。

    请确保程序能够调用到你的数据库的ADO.Net驱动。

    此外，时间类型数据只精确到了秒；示例数据库中的表名
为“TestTable”"; 
        }

        private void richTextBox1_LinkClicked(object sender, LinkClickedEventArgs e)
        {
            try
            {
                Process.Start(e.LinkText);
            }
            catch (Exception)
            {
                MessageBox.Show("没有默认的浏览器用来打开该网页");
            }
        }
    }
}
