﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CreateInsertSql
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
        }

        private void buttonGo_Click(object sender, EventArgs e)
        {
            if (this.textBoxTableName.Text.Trim() == string.Empty)
            {
                MessageBox.Show("请输入表名");
                this.textBoxTableName.Focus();
                return;
            }
            this.buttonGo.Enabled = false;
            this.labelInfo.Visible = true;
            string sql = null;
            try
            {
                sql = new Business.CreatingInsertSql().GetInsertSql(this.textBoxTableName.Text.Trim());
            }
            catch (Exception ex)
            {
                MessageBox.Show("生成错误:" + ex.Message);
                this.buttonGo.Enabled = true;
                this.labelInfo.Visible = false;
                return;
            }
            FormShowSql formShowSql = new FormShowSql();
            formShowSql.StartPosition = FormStartPosition.CenterScreen;
            formShowSql.ShowDialog(sql);

            this.buttonGo.Enabled = true;
            this.labelInfo.Visible = false;
        }

        private void toolStripButtonHelp_Click(object sender, EventArgs e)
        {
            FormHelp form = new FormHelp();
            form.StartPosition = FormStartPosition.CenterScreen;
            form.ShowDialog();
        }
    }
}
